aboutsummaryrefslogtreecommitdiffstats
path: root/main/sdl/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/sdl/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/sdl/APKBUILD')
-rw-r--r--main/sdl/APKBUILD8
1 files changed, 6 insertions, 2 deletions
diff --git a/main/sdl/APKBUILD b/main/sdl/APKBUILD
index b58047148e..ba9b6bb51c 100644
--- a/main/sdl/APKBUILD
+++ b/main/sdl/APKBUILD
@@ -26,7 +26,10 @@ prepare() {
build() {
cd "$_builddir"
- ./configure --prefix=/usr \
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
--disable-nasm \
--disable-esd \
--disable-video-svga \
@@ -35,7 +38,8 @@ build() {
--enable-alsa \
--with-x \
--disable-rpath \
- --disable-nls
+ --disable-nls \
+ || return 1
make
}